Bug 225734 - Merge Review: esound
Merge Review: esound
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:33 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:33:50 EST
Fedora Merge Review: esound

http://cvs.fedora.redhat.com/viewcvs/devel/esound/
Initial Owner: alexl@redhat.com
Comment 1 Alexander Larsson 2007-02-08 06:10:53 EST
New Initial Owner: bnocera@redhat.com
Comment 2 Toshio Ernie Kuratomi 2009-04-24 06:28:45 EDT
Adding lennart as he's the current package owner.
Comment 3 Lennart Poettering 2009-04-24 11:09:27 EDT
Uh? What is this about?
Comment 4 Toshio Ernie Kuratomi 2009-04-24 12:26:10 EDT
You've done regular reviews before for pulseaudio stuff to get into the distro.  A merge review is a review being done on a package that got pulled in from Fedora Core without a review.

Until a reviewer picks this up, it's basically business as usual.  Once a reviewer does start reviewing the package, someone needs to address the issues, answer questions, and apply the changes from the review to the package in cvs.  That's usually the package owner which is why I CC'd you.

Note that because we don't have enough reviewers, merge reviews have been getting short shrift compared to new review requests.  At some point FESCo might give us a deadline for having the merge reviews done but that hasn't occurred yet.
Comment 5 Jon Ciesla 2012-04-06 11:24:38 EDT
Adding mclasen who's done the most recent changes.

- rpmlint checks return:

Errors about egrep, had to move the docs to the right place, and some unescaped macros in the comments.  I have fixes for these ready.

esound.src: W: spelling-error %description -l en_US audiofile -> audiophile, audio file, audio-file
The value of this tag appears to be misspelled. Please double-check.

Ignore.

esound-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/esound-0.2.41/getopt.h
esound-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/esound-libs-0.2.41/COPYING.LIB
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

File bugs upstream if you like.

esound-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libesddsp.so.0.2.39 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

Fix if possible.

esound-libs.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libesddsp.so.0.2.39 ['/usr/lib64']

And many more.

The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

Fix.  The --disable-rpath flag at configure doesn't fix this.

esound-tools.x86_64: W: spelling-error Summary(en_US) Commandline -> Command line, Command-line, Commandment
The value of this tag appears to be misspelled. Please double-check.

esound-tools.x86_64: W: spelling-error %description -l en_US commandline -> command line, command-line, commandment
The value of this tag appears to be misspelled. Please double-check.

Ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license ( LGPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)  . . .once I moved the docs.
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Other than what's in rpmlint it looks good.  I'll commit the simple fixes soon unless you object.
Comment 6 Jon Ciesla 2012-04-06 11:31:14 EDT
Moving the docs doesn't seem to be needed, or work, in rawhide.
Comment 7 Jon Ciesla 2012-04-26 09:34:55 EDT
Ping?
Comment 8 Jon Ciesla 2013-02-07 14:15:21 EST
Committed and built changes to fix everything but the exit() calls.  Can you take a look?
Comment 9 Cole Robinson 2015-02-11 15:36:15 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 10 Jan Kurik 2015-07-15 11:26:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 11 Fedora End Of Life 2016-11-24 05:18:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.